Subject: Re: Correction: Strange behavior in ftp
From: [email-masked] (Michele Sardo)

15 Apr 1998 07:14:59 -0700
Message-ID: <[email-masked]>
References: <C1A9DAABC292D111A4D90000F879A2BA0EF3@NTMAIL>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Ian Collins <[email-masked]>
Cc: "'Gnu Mailing list'" <[email-masked]>

Ian Collins wrote:
> 
> The ftp that I am talking about is the one that comes with Sergeys
> inetd.
> 
> I telnet and login to my NT machine (running NT4 SP3 and gnu19 and
> inetd).
> I run the following,
> 
> /usr/local/bin/ftp hp
> 
> Connected to hp.kiwiplan2.co.nz.
> 
> 220 hp FTP server (Version wu-2.4(5) Tue Jan 23 12:33:30 NZDT 1996)
> ready.
> Name (hp:Ian):
> 
> I enter my username (ian).
> I am automatically logged in to this machine (It never asks for my
> password!). Now it happens that I have the same password on my NT
> machine as the hp (Unix) machine. It looks like my NT password is passed
> to the Unix ftp server !????? (very nice of it, but...).
> I don't have any .netrc files setup on my NT machine (not that that
> would have made any difference as it asks me for a username).
> If I specify a different username, then it just says "530 Login
> Incorrect" (again, a password is transparently entered for me).
> 
> *** CORRECTION FROM PREVIOUS POSTING
> *** Ignore the following paragraph. It behaves the same as above (I used
> the winnt ftp mistakenly for the following)
> 
> *** HOWEVER, if I just run a bash shell on my NT machine (i.e., not
> through telnet), and again run the above ftp command, then it asks for
> my
> *** username, but won't accept any password at all (no matter what
> username I give).
> 
> I can hear a large drink calling.
> 
> Ian Collins.
> KIWIPLAN NZ.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
I think the problem is that your ftp daemon does not do any proper
authentication
so every password is discarded.

I've got the sources of inetutils-1.3a and patched them with Sergey
Okhapkin patches
and changed the authentication policy in the same way it is done on
login.c file from
Sergey. This will allow any NT user listed on /etc/passwd to login using
the NT password.
If you are interested I can send you a copy.

Also you have to create a /etc/shells file which contains the list of
shells
enabled for ftp (The username used as ftp account should have his
default shell listed in /etc/shells).

-- 
Michele Sardo
STMicroelectronics
Torre Galiera, Strada Statale 114, 95121 Catania, Italy ?
tel: +39 95 7407721 fax: +39 95 7407720
STVIN  0527721
email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".